<?
/**
 * Переменные, передаваемые для приложения с ВКонтакте
 * @package ru.vbinc.gm.framework.VKontakte
 * @author GreyMag
 * @version 0.1
 */
class FlashVars
{
	/**
	 * @var unknown_type
	 */
	var $apiId, // id запущенного приложения
	$viewerId, // id пользователя, который просматривает приложение
	$authKey, // это ключ, необходимый для авторизации пользователя
	$isAppUser, // установлено ли пользователем приложение
	$userId, // id пользователя, со страницы которого было запущено приложение. Если приложение запущено не со страницы пользователя, то значение равно 0
	$groupId, // id группы, со страницы которой было запущено приложение. Если приложение запущено не со страницы группы, то значение равно 0
	$viewerType; // это тип пользователя, который просматривает приложение

	function __construct( $flashvars )
	{
		if( isset( $flashvars['api_id'] ) ) $this->apiId = (int)$flashvars['api_id'];
		if( isset( $flashvars['auth_key'] ) ) $this->authKey = (string)$flashvars['auth_key'];
		if( isset( $flashvars['viewer_id'] ) ) $this->viewerId = (int)$flashvars['viewer_id'];
		if( isset( $flashvars['is_app_user'] ) ) $this->isAppUser = (boolean)$flashvars['is_app_user'];
		if( isset( $flashvars['user_id'] ) ) $this->userId = (int)$flashvars['user_id'];
		if( isset( $flashvars['group_id'] ) ) $this->groupId = (int)$flashvars['group_id'];
		if( isset( $flashvars['viewer_type'] ) ) $this->viewerType = (int)$flashvars['viewer_type'];
	}
}
?>