<?
/**
 * Базовые утилиты работы со строками
 * @package ru.vbinc.gm.framework.string
 * @author GreyMag
 * @version 0.1
 */
class BaseString
{
	/**
	 * Генератор случайно строки
	 * @param int $length длина строки, если передается число меньше либо равное 0, 
	 * то длина строки выбирается случайным образом
	 * @param int $min минимальная длина строки при выборе случайным образом
	 * @param int $max максимальная длина строки при выборе случайным образом
	 * @return string
	 */
	public static function randomStr(  $length = -1, $min = 6, $max = 12 )
	{
		if( $length <= 0 ) $length = rand( $min, $max );

		$symb = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ1234567890";
		$str = '';
		for( $i = 0; $i < $length; $i++ ) $str .= substr( $symb, rand( 0, strlen( $symb ) ), 1 );

		return $str;
	}
}
?>