<?php
/**
 * Класс, использующийся в проектах для хранения глобальных опций
 * и обеспечения более удобной работы
 * @package ru.vbinc.gm.framework.utils
 * @author GreyMag <greymag@gmail.com>
 * @copyright 2010
 * @version 0.1
 */
class Globals
{
	/**
	 * Соединение с БД
	 * @var DBConnect
	 */
	private static $_dbConnect;

	/**
	 * Получить соединение с БД
	 * @return DBConnect
	 */
	public static function getDBConnect()
	{
		if( !Globals::$_dbConnect ) Globals::$_dbConnect = new DBConnect();
		return Globals::$_dbConnect;
	}

	public static function isDebugMode()
	{
		return ( defined( 'DEBUG' ) && DEBUG );
	}
}
?>