<?
/**
 * Настройки из БД
 * Настройки должны храниться в таблице следующей структуры:
 *
 * CREATE TABLE `prefix_tablename` (
 * `option` varchar(20) NOT NULL COMMENT 'опция',
 * `value` text NOT NULL COMMENT 'её значение',
 * PRIMARY KEY  (`option`)
 * ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='таблица настроек';
 * @package ru.vbinc.gm.framework.utils
 * @author GreyMag
 * @version 0.2
 */
class Options
{
	public static $tableName = '';

	public static function getOption()
	{
		if( func_num_args() == 0 || self::$tableName == ''
		|| !$dbConnect = Globals::getDBConnect() ) return false;

		$where = '';

		foreach( func_get_args() as $optionName ) $where .= ( ( $where == '' ) ? '' : ',' ) . "'" . $optionName . "'";
		$options = array();

		$sql = "select `option`, `value` from `%s` where `option` in (" . $where . ")";
		 
		if( !$query = $dbConnect->queryt( $sql, self::$tableName ) ) return false;
		while( $option = $query->fetch_assoc() ) {
			$options[$option['option']] = $option['value'];
		}
		$query->close();
		switch( count( $options ) )
		{
			case 0 : return false;
			case 1 : return array_pop( $options );
			default : return $options;
		}
	}
}
?>